﻿using System.Collections.Generic;
using System.Threading.Tasks;

namespace JsonRpcRT.RemoteMethodsHandling
{
    public class BaseRemoteHandler
    {
        protected readonly JsonRpcController NetworkManager;
        public Dictionary<string, object> MethodParams;

        public BaseRemoteHandler(JsonRpcController networkManager)
        {
            NetworkManager = networkManager;
            MethodParams = new Dictionary<string, object>();
        }

        public virtual string GetMethodName()
        {
            return "EmptyMethodName";
        }

        protected void Log(string text)
        {
            NetworkManager.Log(text);
        }
    }
}